Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_EC_Deactivated_Object Class Reference

Object deactivation utility (mix-in) class. More...

`#include <EC_Lifetime_Utils.h>`

Inheritance diagram for TAO_EC_Deactivated_Object:

[legend]
Collaboration diagram for TAO_EC_Deactivated_Object:

[legend]
List of all members.

## Public Methods
void | set_deactivator (TAO_EC_Object_Deactivator &deactivator)
## Protected Methods
| TAO_EC_Deactivated_Object (void)
| ~TAO_EC_Deactivated_Object (void)
## Protected Attributes
TAO_EC_Object_Deactivator | deactivator_
| Utility for deactivating ourselves from POA.

## Detailed Description

Object deactivation utility (mix-in) class.

Maintains state necessary to deactivate object inheriting from this class from POA. The state can be set using set_deactivator() method. Then, the object can deactivate itself by doing this->deactivator_.deactivate ()

NOTE: deactivation does NOT happen automatically, and must be explicitly initiated as described above.

## Constructor & Destructor Documentation

ACE_INLINE TAO_EC_Deactivated_Object::TAO_EC_Deactivated_Object | ( | void |  | ) | `[protected]`

ACE_INLINE TAO_EC_Deactivated_Object::~TAO_EC_Deactivated_Object | ( | void |  | ) | `[protected]`

## Member Function Documentation

ACE_INLINE void TAO_EC_Deactivated_Object::set_deactivator | ( | TAO_EC_Object_Deactivator & | deactivator | ) |

| Set deactivation state to that specified by the deactivator argument.

## Member Data Documentation

TAO_EC_Object_Deactivator TAO_EC_Deactivated_Object::deactivator_`[protected]`

| Utility for deactivating ourselves from POA.

The documentation for this class was generated from the following files:

- EC_Lifetime_Utils.h
- EC_Lifetime_Utils.i